﻿// Copyright (c) Microsoft Open Technologies, Inc. All rights reserved.
// Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

using System.Collections.Generic;

namespace Microsoft.AspNet.Mvc.ModelBinding
{
    /// <summary>
    /// Provides an activated collection of <see cref="IModelValidatorProvider"/> instances.
    /// </summary>
    public interface IModelValidatorProviderProvider
    {
        /// <summary>
        /// Gets a collection of activated <see cref="IModelValidatorProvider"/> instances.
        /// </summary>
        IReadOnlyList<IModelValidatorProvider> ModelValidatorProviders { get; }
    }
}